Inquiries
Assign or reassign an inquiry to a user
Assign or reassign an inquiry to a user
Authorization
x-api-key x-api-key<token>
API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
string
PATCH /v2/inquiries/:id/assign Parameter
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
Request Body
application/json
PATCH /v2/inquiries/:id/assign Request body
TypeScript Definitions
Use the request body type in TypeScript.
string | null
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.carecycle.ai/v2/inquiries/{id}/assign" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": null,
"updatedAt": null,
"customerCampaignId": "36ca8d1d-3d3d-48cf-bd1f-a796d8849d75",
"callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",
"toolCallId": "string",
"inquiry": "string",
"response": "string",
"status": "new",
"primaryCategory": "string",
"subcategory": "string",
"severity": "string",
"severityTriggers": "string",
"suggestedHandling": "string",
"handlingRationale": "string",
"reasoning": "string",
"escalationApplied": true,
"additionalConcerns": "string",
"resolutionType": "string",
"notes": "string",
"resolvedAt": null,
"resolvedBy": "14b2aa2a-efb0-4ef1-9ffc-3025efbd2222",
"assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",
"callbackRequestedAt": null,
"callbackRequestedBy": "a5a1af4e-f2c6-48c6-8e69-0acc13906fed",
"callbackWorkflowId": "58c68a9f-1923-4a5a-b69b-88032c446b85",
"callbackCompletedAt": null,
"callbackCallId": "3ff5b170-21ec-4fdb-9d07-d18865ce54a5",
"callbackDisposition": "string",
"callbackFailureReason": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}